From ff3fa257a62e03bd0032cdf32398c5b23803d1c1 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jul 13 2016 12:34:22 +0000
Subject: [PATCH 531/1001] Fix specifying a configuration file in the runserver


---

diff --git a/runserver.py b/runserver.py
index dea56b0..713c407 100755
--- a/runserver.py
+++ b/runserver.py
@@ -22,8 +22,15 @@ parser.add_argument(
 
 args = parser.parse_args()
 
+if args.config:
+    config = args.config
+    if not config.startswith('/'):
+        here = os.path.join(os.path.dirname(os.path.abspath(__file__)))
+        config = os.path.join(here, config)
+    os.environ['HUBS_CONFIG'] = config
+
+
 from hubs.app import app
 
 app.debug = True
-app.config.from_object(args.config)
 app.run(debug=True, host=args.host, port=int(args.port))

